random.hpp File Reference

Go to the source code of this file.

## Functions

template<typename T >
GLM_FUNC_DECL tvec3< T, defaultp > | ballRand (T Radius)
template<typename T >
GLM_FUNC_DECL tvec2< T, defaultp > | circularRand (T Radius)
template<typename T >
GLM_FUNC_DECL tvec2< T, defaultp > | diskRand (T Radius)
template<typename genType >
GLM_FUNC_DECL genType | gaussRand (genType Mean, genType Deviation)
template<typename genTYpe >
GLM_FUNC_DECL genTYpe | linearRand (genTYpe Min, genTYpe Max)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | linearRand (vecType< T, P > const &Min, vecType< T, P > const &Max)
template<typename T >
GLM_FUNC_DECL tvec3< T, defaultp > | sphericalRand (T Radius)

## Detailed Description

GLM_GTC_random

See also
  GLM Core (dependence)
  gtc_half_float (dependence)
  gtx_random (extended)

Definition in file random.hpp.